org.bouncycastle.pqc.crypto.mlkem

## Class MLKEMPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
    - - org.bouncycastle.pqc.crypto.mlkem.MLKEMPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  use org.bouncycastle.crypto.params.MLKEMKeyPrivateKeyParameters

      @Deprecated
      public class MLKEMPrivateKeyParameters
      extends MLKEMKeyParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOTH` Deprecated.
    `static int` | `EXPANDED_KEY` Deprecated.
    `static int` | `SEED_ONLY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] encoding)` Deprecated.
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho)` Deprecated.
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho, byte[] seed)` Deprecated.
    `MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] encoding, MLKEMPublicKeyParameters pubKey)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getHPK()` Deprecated.
    `byte[]` | `getNonce()` Deprecated.
    `MLKEMPrivateKeyParameters` | `getParametersWithFormat(int format)` Deprecated. Use `withPreferredFormat(int)` instead.
    `int` | `getPreferredFormat()` Deprecated.
    `byte[]` | `getPublicKey()` Deprecated.
    `MLKEMPublicKeyParameters` | `getPublicKeyParameters()` Deprecated.
    `byte[]` | `getRho()` Deprecated.
    `byte[]` | `getS()` Deprecated.
    `byte[]` | `getSeed()` Deprecated.
    `byte[]` | `getT()` Deprecated.
    `MLKEMPrivateKeyParameters` | `withPreferredFormat(int format)` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOTH

          public static final int BOTH

      Deprecated.
      See Also:
        Constant Field Values

    - #### SEED_ONLY

          public static final int SEED_ONLY

      Deprecated.
      See Also:
        Constant Field Values

    - #### EXPANDED_KEY

          public static final int EXPANDED_KEY

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] s,
                                           byte[] hpk,
                                           byte[] nonce,
                                           byte[] t,
                                           byte[] rho)

      Deprecated.

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] s,
                                           byte[] hpk,
                                           byte[] nonce,
                                           byte[] t,
                                           byte[] rho,
                                           byte[] seed)

      Deprecated.

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] encoding)

      Deprecated.

    - #### MLKEMPrivateKeyParameters

          public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                           byte[] encoding,
                                           MLKEMPublicKeyParameters pubKey)

      Deprecated.

  - ### Method Detail

    - #### getParametersWithFormat

          public MLKEMPrivateKeyParameters getParametersWithFormat(int format)

      Deprecated. Use `withPreferredFormat(int)` instead.

    - #### withPreferredFormat

          public MLKEMPrivateKeyParameters withPreferredFormat(int format)

      Deprecated.

    - #### getPreferredFormat

          public int getPreferredFormat()

      Deprecated.

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.

    - #### getHPK

          public byte[] getHPK()

      Deprecated.

    - #### getNonce

          public byte[] getNonce()

      Deprecated.

    - #### getPublicKey

          public byte[] getPublicKey()

      Deprecated.

    - #### getPublicKeyParameters

          public MLKEMPublicKeyParameters getPublicKeyParameters()

      Deprecated.

    - #### getRho

          public byte[] getRho()

      Deprecated.

    - #### getS

          public byte[] getS()

      Deprecated.

    - #### getT

          public byte[] getT()

      Deprecated.

    - #### getSeed

          public byte[] getSeed()

      Deprecated.